Skip to main content
GET
/
v1
/
customers
/
{id}
/
usage
List customer usage
curl --request GET \
  --url https://api.hyperline.co/v1/customers/{id}/usage \
  --header 'Authorization: Bearer <token>'
[
  {
    "aggregator_id": "<string>",
    "name": "<string>",
    "unit_name": "<string>",
    "total": 123,
    "count": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

start_date
string<date-time>
required

ISO-8601 date string.

Example:

"2026-01-01T00:00:00Z"

end_date
string<date-time>
required

ISO-8601 date string.

Example:

"2026-02-01T00:00:00Z"

Response

aggregator_id
string
required

Aggregator ID.

name
string
required

Display name.

unit_name
string | null
required

Unit name.

total
number
required

Total usage over the period.

count
number
required

Number of events behind the total.